Debian Bug report logs - #516560
freeguide: Contains precompiled libraries without source

version graph

Package: freeguide; Maintainer for freeguide is (unknown);

Reported by: Sune Vuorela <reportbug@pusling.com>

Date: Sun, 22 Feb 2009 10:51:01 UTC

Severity: serious

Found in version freeguide/0.10.9-1

Fixed in version 0.10.9-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Sun, 22 Feb 2009 10:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <reportbug@pusling.com>:
New Bug report received and forwarded. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Sun, 22 Feb 2009 10:51:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <reportbug@pusling.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeguide: Contains precompiled libraries without source
Date: Sun, 22 Feb 2009 11:48:20 +0100
Package: freeguide
Version: 0.10.9-1
Severity: serious
Justification: DFSG


at least /usr/share/freeguide/lib/retroweaver-rt-1.2.5.jar and
/usr/share/freeguide/lib/tagsoup-1.0.1.jar is shipped as part of the
source and installed directly without any recompilation.

Lenny is also affected, but in contrib area, so I don't know if it
sholud be fixed there as well.

/Sune

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Thu, 19 Nov 2009 01:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Balaam <andybalaam@artificialworlds.net>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Thu, 19 Nov 2009 01:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 516560@bugs.debian.org (full text, mbox):

From: Andy Balaam <andybalaam@artificialworlds.net>
To: 516560@bugs.debian.org
Subject: Re: freeguide: Contains precompiled libraries without source
Date: Thu, 19 Nov 2009 01:39:06 +0000
> at least /usr/share/freeguide/lib/retroweaver-rt-1.2.5.jar and
> /usr/share/freeguide/lib/tagsoup-1.0.1.jar is shipped as part of the
> source and installed directly without any recompilation.

Both of these jars have no been removed from the install, and there are
no others.

This change will ship in version 0.10.11 which I hope to release in the
next few days.

Thanks for submitting this report.

Andy




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Wed, 13 Jan 2010 20:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Balaam <andybalaam@artificialworlds.net>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Wed, 13 Jan 2010 20:51:10 GMT) Full text and rfc822 format available.

Message #15 received at 516560@bugs.debian.org (full text, mbox):

From: Andy Balaam <andybalaam@artificialworlds.net>
To: 516560@bugs.debian.org
Subject: Fixed in 0.10.11
Date: Wed, 13 Jan 2010 20:37:14 +0000
This is fixed in 0.10.11.  The latest released version is 0.10.12, which
also contains the fix.

Daniel, are you still maintaining this package?

I know you suggested before that I might become the maintainer.  Perhaps
we should start that process if you don't have the time to do it.

Thanks,

Andy




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Mon, 15 Feb 2010 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Mon, 15 Feb 2010 06:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 516560@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: Andy Balaam <andybalaam@artificialworlds.net>
Cc: 516560@bugs.debian.org
Subject: freeguide in Debian
Date: Mon, 15 Feb 2010 07:50:49 +0100
Hi Andy!

It seems that you are  willing to fix #516560 affecting freeguide. Since
you get  no answer  from Daniel, feel  free to  prepare an NMU.   I will
upload it.  Do not make invasive  changes in packaging since  this is an
NMU.
-- 
BOFH excuse #85:
Windows 95 undocumented "feature"




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Mon, 15 Feb 2010 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Balaam <andybalaam@artificialworlds.net>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Mon, 15 Feb 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 516560@bugs.debian.org (full text, mbox):

From: Andy Balaam <andybalaam@artificialworlds.net>
To: Vincent Bernat <bernat@luffy.cx>
Cc: 516560@bugs.debian.org
Subject: Re: freeguide in Debian
Date: Mon, 15 Feb 2010 16:28:59 +0000
Hi Vincent,

Vincent Bernat wrote:
> It seems that you are  willing to fix #516560 affecting freeguide. Since
> you get  no answer  from Daniel, feel  free to  prepare an NMU.   I will
> upload it.  Do not make invasive  changes in packaging since  this is an
> NMU.

Would this need to be a patch against 0.10.9 that contained only the 
relevant fix, or could it be a package of the latest version (0.10.11)?

I am not a Debian developer.  I have made deb packages, but I am a 
beginner and would need some help in preparing an NMU.  Would you be 
available to answer questions for me?

Thanks,

Andy




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Mon, 15 Feb 2010 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Mon, 15 Feb 2010 19:03:06 GMT) Full text and rfc822 format available.

Message #30 received at 516560@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Andy Balaam <andybalaam@artificialworlds.net>
Cc: 516560@bugs.debian.org
Subject: Re: freeguide in Debian
Date: Mon, 15 Feb 2010 20:02:27 +0100
[Message part 1 (text/plain, inline)]
OoO Lors  de la soirée naissante  du lundi 15 février  2010, vers 17:28,
Andy Balaam <andybalaam@artificialworlds.net> disait :

>> It seems that you are  willing to fix #516560 affecting freeguide. Since
>> you get  no answer  from Daniel, feel  free to  prepare an NMU.   I will
>> upload it.  Do not make invasive  changes in packaging since  this is an
>> NMU.

> Would this need to be a patch against 0.10.9 that contained only the
> relevant fix, or could it be a package of the latest version
> (0.10.11)?

You  can package  the latest  version. Invasive  changes that  should be
avoided:
 - changing patch system (if any)
 - switching from debhelper to cdbs (or from debhelper 5 to debhelper 7)
 - reworking all debian/copyright

> I am not a Debian developer.  I have made deb packages, but I am a
> beginner and would need some help in preparing an NMU.  Would you be
> available to answer questions for me?

Sure, of course. Don't need to  keep 516560@ in copy for those questions
(I  leave the  bug in  copy of  this mail  to let  people know  that the
problem will be addressed soon).

Look at this for NMU:
 http://www.debian.org/doc/developers-reference/pkgs.html#nmu

We are allowed to NMU since this is RC-bug older than 7 days.
-- 
BOFH excuse #358:
struck by the Good Times virus
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Sat, 03 Mar 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Sat, 03 Mar 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 516560@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Vincent Bernat <bernat@debian.org>, 516560@bugs.debian.org
Cc: Andy Balaam <andybalaam@artificialworlds.net>
Subject: Re: Bug#516560: freeguide in Debian
Date: Sat, 3 Mar 2012 20:42:21 +0000
On Mon, Feb 15, 2010 at 08:02:27PM +0100, Vincent Bernat wrote:
>OoO Lors  de la soirée naissante  du lundi 15 février  2010, vers 17:28,
>Andy Balaam <andybalaam@artificialworlds.net> disait :
>
>> I am not a Debian developer.  I have made deb packages, but I am a
>> beginner and would need some help in preparing an NMU.  Would you be
>> available to answer questions for me?
>
>Sure, of course. Don't need to  keep 516560@ in copy for those questions
>(I  leave the  bug in  copy of  this mail  to let  people know  that the
>problem will be addressed soon).
>
>Look at this for NMU:
> http://www.debian.org/doc/developers-reference/pkgs.html#nmu
>
>We are allowed to NMU since this is RC-bug older than 7 days.

2 years on, no sign of an upload. Should we RM this package?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#516560; Package freeguide. (Sun, 04 Mar 2012 21:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Balaam <andybalaam@artificialworlds.net>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Sun, 04 Mar 2012 21:36:15 GMT) Full text and rfc822 format available.

Message #40 received at 516560@bugs.debian.org (full text, mbox):

From: Andy Balaam <andybalaam@artificialworlds.net>
To: Steve McIntyre <steve@einval.com>
Cc: Vincent Bernat <bernat@debian.org>, 516560@bugs.debian.org
Subject: Re: Bug#516560: freeguide in Debian
Date: Sun, 4 Mar 2012 21:34:58 +0000
Hi Steve,

On Sat, 3 Mar 2012 20:42:21 +0000
Steve McIntyre <steve@einval.com> wrote:

> 2 years on, no sign of an upload. Should we RM this package?
 
It has become clear to me that I don't have time to be FreeGuide's
Debian maintainer.

The problem is fixed in recent (last several years!) FreeGuide - we
just need a new version to be uploaded.

Thanks,

Andy




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 14 May 2012 23:00:36 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <reportbug@pusling.com>:
Bug acknowledged by developer. (Mon, 14 May 2012 23:00:36 GMT) Full text and rfc822 format available.

Message #45 received at 516560-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 393401-done@bugs.debian.org,456447-done@bugs.debian.org,499573-done@bugs.debian.org,516022-done@bugs.debian.org,516560-done@bugs.debian.org,573378-done@bugs.debian.org,638216-done@bugs.debian.org,640838-done@bugs.debian.org,640840-done@bugs.debian.org,640841-done@bugs.debian.org,664339-done@bugs.debian.org,
Cc: freeguide@packages.debian.org, freeguide@packages.qa.debian.org
Subject: Bug#672772: Removed package(s) from unstable
Date: Mon, 14 May 2012 22:59:51 +0000
Version: 0.10.9-1+rm

Dear submitter,

as the package freeguide has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/672772

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Mark Hymers (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jun 2012 07:43:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:45:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.